nsMain = Host.CreateObject("newObjects.net.NSMain");

function Discover() {
    var socket = nsMain.NewSocket();
    b = socket.Socket("AF_IRDA","SOCK_STREAM","");
    if (!b) {
        Host.WriteLine("Error: " + socket.lastError);
        return;
    }
    
    var opt = nsMain.NewOption();
    opt.Level = "SOL_IRLMP";
    opt.Type = "IRLMP_ENUMDEVICES";
    Host.WriteLine("Looking up nearby IRDA devices ...");
    b = socket.GetOption(opt);
    if (!b) {
        Host.WriteLine("Error: " + socket.lastError);
        return;
    }
    var devices = opt.Value;
    Host.WriteLine("Devices found: " + devices.Count);
    for (i = 1; i <= devices.Count; i++) {
        Addr = devices.Address(i);
        Host.WriteLine("  " + Addr.TextAddress + " [" + devices.DeviceName(i) + "]");
    }
    socket.Close();
}

while (true) {
    Discover();
    if (!Host.Ask("Look again?")) break;
}